//---------------------------------------
// Discovery Board(STM32F407VGT6)
// Towzih: kar ba GPIO va ijade Taakhir
// Author: Sadegh Mohammadi
//   Date: 1391/04/07
//---------------------------------------

#include "stm32f4xx.h"
#include "Delay_.h"
#include "GPIO_init.h"
#include "system_stm32f4xx.h"

//---tavabe marbot be ijad taakhir(Delay)---
void Delay_ms(__IO uint32_t nTime)
{ 
  TimingDelay = nTime;

  while(TimingDelay != 0);
}

void TimingDelay_Decrement(void)
{
  if (TimingDelay != 0x00)
  { 
    TimingDelay--;
  }
}
//-----------------------------------------


int main(void)
{

	// faalsazie clock porthaye A va B va C
	RCC_AHB1PeriphClockCmd(RCC_AHB1Periph_GPIOA|RCC_AHB1Periph_GPIOB|RCC_AHB1Periph_GPIOC|RCC_AHB1Periph_GPIOD|RCC_AHB1Periph_GPIOE, ENABLE);
	
	// tanzime porthaye A va B besorate khoroji ba drain baz
	GPIO_init_();
	
		//tanzime systick besorate 1ms ||| SystemCoreClock=168000000Hz=168MHz
	SysTick_Config(SystemCoreClock / 1000); 
	

	while(1){
						GPIO_SetBits(GPIOA,GPIO_Pin_9);
						GPIO_SetBits(GPIOD,GPIO_Pin_15|GPIO_Pin_14|GPIO_Pin_13|GPIO_Pin_12);
						Delay_ms(500);
		
						GPIO_ResetBits(GPIOA,GPIO_Pin_9);
						GPIO_ResetBits(GPIOD,GPIO_Pin_15|GPIO_Pin_14|GPIO_Pin_13|GPIO_Pin_12);
						Delay_ms(500);
					}
}
